Subject: Re: [PATCH 3/3] Teach "git branch" about --new-workdir

From: Marius Storm-Olsen <[email-masked]>
Date: Tue, 24 Jul 2007 10:19:01 +0200

>> I live by new-workdir.  I do everything with it.  And today I
>> just spent over an hour sorting out cases where my many, many
>> workdirs have different refs than their base repositories,
>> because their packed-refs files are different.
>> Grrrrrrrrrrrrrrrrrr.
>> 
>> So we really need to make anyone that edits packed-refs (and 
>> maybe also config) resolve the symlink and do the edit in the 
>> target directory.  Then we can consider adding this workdir thing
>>  to core git.
> 
> This is actually not limited to packed-refs file, but applies to 
> other things as well.
> 
> I have been wondering if something like this patch would be 
> sufficient.  The idea essentially is to take the lock on the link
> target when we try to take a lock on something that is a symlink
> pointing elsewhere.
(..snip..)

While you guys are discussing this, please please keep in mind that 
there are Windows users (/me raises his hand) out there that really 
really want this too. So, please try to keep it light on the symlinks.

-- 
.marius